Subject: Re: [PATCH] llc: SOCK_DGRAM interface fixes

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Tue, 8 Aug 2006 14:54:21 -0300

Em Tue, Aug 08, 2006 at 08:36:18PM +0400, Alexey Kuznetsov escreveu:
> Hello!
> 
> > This fix goes against the old historical comments about UNIX98 semantics
> > but without this fix SOCK_DGRAM is broken and useless. So either ANK's
> > interpretation was incorect or UNIX98 standard was wrong.
> 
> Just found this reference to me. :-)
> 
> The comment migrated from tcp.c. It is only about connected SOCK_STREAM
> sockets, I do not see how it can make SOCK_DGRAM broken or useless.

Its just that the work to get the AF_LLC code closer to the AF_INET
structure was suspended before the SOCK_STREAM code was separated from the
SOCK_DGRAM one, moving PF_LLC to sk->sk_prot-> land, so the comment is
indeed about SOCK_STREAM part, not DGRAM.

- Arnaldo